--
-- Created by IntelliJ IDEA.
-- User: Chev
-- Date: 2016-10-30
-- Time: 5:21 PM
-- To change this template use File | Settings | File Templates.
--

LOOA = LOOA or {};

function LOOA:StaticClass (classTable)
  local self = {
    static = classTable.static or {},
  };

  for k,v in pairs(classTable.staticFunctions or {}) do
    self[k] = v
  end

  return self
end